Delete a tracking opt-out
1 min
DELETE
https://api.campaign.episerver.net/rest/{clientId}/recipients/trackingoptout
Path Parameters
- clientIdstringrequiredDescription
Query Parameters
- recipientIdstringrequiredDescription
Responses
204
406
curl
curl --request DELETE \
--url 'https://api.campaign.episerver.net/rest/{clientId}/recipients/trackingoptout?recipientId=string' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/recipients/trackingoptout?recipientId=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/recipients/trackingoptout?recipientId=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/recipients/trackingoptout?recipientId=string"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
204
// The tracking opt-out was deleted.
406
// The tracking opt-out is not activated for this client. Ensure that the 'clientId' is correct and the required feature is enabled in the indicated client.